This README file explains the "flow" of the code that is how it is built.
The main.py file implements the AVL self balancing tree, which comprises of the insert, delete and search node functions. The numbers.txt and words.txt data files are used to run the python program. The root node and subtress were created using the class objects TreeNode() and class AVLTree(), respectively. The insert_node() and  delete_node() are contained inside the AVLTree() object.
